//////////////////////////////////////////////////////////////////
// mysql JDBC Driver
//
// Version : 0.9.2
//
// JDBC : 1.22
//
// LastModified: 16.03.1997
//
// Copyright (c) 1997 GWE Technologies Ltd. All rights reserved
// See http://gwe.co.uk/mysql/jdbc/copyright.html for full details

package gwe.sql;

import java.io.*;

public abstract class gweNativeUnicodeMapper {
  public gweNativeUnicodeMapper() {
  }

  /**
   * Converter from byte[] to char[]
   * @exception SQLException thrown for invalid array of byte
   * @param array of byte encoded with Native Code
   * @return array of byte encoded with UNICODE
   */
  public abstract char[] Native2Unicode(byte[] data) throws UnsupportedEncodingException;

  /**
   * Converter from char[] to byte[]
   * @exception SQLException thrown for invalid array of char
   * @param array of byte encoded with UNICODE
   * @return array of byte encoded with Native Code
   */
  public abstract byte[] Unicode2Native(char[] data) throws UnsupportedEncodingException;
}
